View all References of a Linked Object
get
/api/restapi/entityReference/linkedObjectReferences
Send a request to this endpoint to view all the linked references by a given object type.
Request
Query Parameters
-
objectType(required): string
The type of the object the reference refers to.
This is a required field.Allowed Values:[ "ACTIVITY", "IDEA", "PROJECT", "PROG_RISK", "RISK", "WORK_MANAGER_TASK" ] -
programCode: string
The user-specified unique identifier of a program.
-
projectCode(required): string
The user-specified identifier of a project.
This is a required field. -
recordCode(required): string
The user-specified identifier of an object associated with a reference.
This is a required field. -
recordId(required): integer(int64)
The system-generated identifier of an object associated with a reference.
This is a required field. -
recordType(required): string
The type of an object that supports references.
This is a required field.Allowed Values:[ "ACTIVITY", "IDEA", "PROJECT", "PROG_RISK", "RISK", "WORK_MANAGER_TASK" ] -
workspaceCode(required): string
The user-specified identifier of a workspace.
This is a required field.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation. Returns objects of the requested object type that are linked to the specified record. Supported response types are Activity, Work Manager Task, Program Risk, Project Risk, and Project.
Nested Schema : items
Type:
object204 Response
Successful operation with no content.
404 Response
The requested reference does not exist, or you do not have access to it.